Web lists-archives.com

[Samba] Debian Stretch AMD64 only, Samba 4.9.1 Available TESTING




Hai, 

I have a test version available for debian stretch. 

Please take note of the following. 

A clean samba install..

apt-get install samba  works fine.
apt-get install samba winbind wil fail. 

A samba upgrade. Any version to 4.9.x 
apt-get upgrade  ( only samba installed, works fine ) 
apt-get upgrade  ( samba + winbind  installed, fails ) 

In both cases the solution is simple, remove winbind. 

If someone can test this also, i think we need to report a bug here in detecting the default settings. 

And Again, DONT USE THESE IN PRODUCTION YET! 

Install steps. 
wget -O - http://apt.van-belle.nl/louis-van-belle.gpg-key.asc | apt-key add -
echo "deb http://apt.van-belle.nl/debian stretch-experimental main contrib non-free" | sudo tee -a /etc/apt/sources.list.d/van-belle.list
apt-get update

I noticed the List message : [Samba] 4.8.5 + TimeMachine = Disk identity changed on every connect, cannot backup  
So the 4.9.x version on my repo are TimeMachine enabled. ;-) 

Again, please test above steps, if we see more of these is sure a but in the detection of settings. 


Greetz, 

Louis


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba